umbrello 2.34.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Slots | Private Member Functions | Private Attributes | List of all members
ConstraintListPage Class Reference

An extension to the classifier list dialog page to display constraint properties. More...

`#include <constraintlistpage.h>`

Inheritance diagram for ConstraintListPage:

## Public Member Functions
| ConstraintListPage (QWidget *parent, UMLClassifier *classifier, UMLDoc *doc, UMLObject::ObjectType type)
virtual | ~ConstraintListPage ()
Public Member Functions inherited from ClassifierListPage
| ClassifierListPage (QWidget *parent, UMLClassifier *classifier, UMLDoc *doc, UMLObject::ObjectType type)
virtual | ~ClassifierListPage ()
void | apply ()
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Protected Member Functions
bool | greaterThan (UMLObject::ObjectType ct1, UMLObject::ObjectType ct2)
Protected Member Functions inherited from ClassifierListPage
void | reloadItemListBox ()
void | hideArrowButtons (bool hide)
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)

## Protected Attributes
KMenu * | buttonMenu
Protected Attributes inherited from ClassifierListPage
UMLObject::ObjectType | m_itemType
UMLClassifier * | m_pClassifier
UMLClassifierListItem * | m_pLastObjectCreated
QPushButton * | m_pNewClassifierListItemButton
QPushButton * | m_pDeleteListItemButton
QPushButton * | m_pPropertiesButton
bool | m_bSigWaiting
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Private Slots
void | slotNewUniqueConstraint ()
void | slotNewPrimaryKeyConstraint ()
void | slotNewForeignKeyConstraint ()
void | slotNewCheckConstraint ()
virtual UMLClassifierListItemList | getItemList ()

## Private Member Functions
void | setupActions ()

## Private Attributes
KAction * | newUniqueConstraintAction
KAction * | newPrimaryKeyConstraintAction
KAction * | newForeignKeyConstraintAction
KAction * | newCheckConstraintAction

## Additional Inherited Members
Protected Slots inherited from ClassifierListPage
void | slotActivateItem (QListWidgetItem *item)
void | slotMenuSelection (QAction *action)
void | slotListItemCreated (UMLObject *object)
void | slotListItemModified ()
void | slotRightButtonPressed (const QPoint &p)
void | slotDoubleClick (QListWidgetItem *item)
void | slotTopClicked ()
void | slotUpClicked ()
void | slotDownClicked ()
void | slotBottomClicked ()
void | slotNewListItem ()
void | slotDelete ()
void | slotProperties ()

## Detailed Description

An extension to the classifier list dialog page to display constraint properties.

A dialog page to display entity constraint properties.

Author
  Sharan Rao Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ ConstraintListPage()

ConstraintListPage::ConstraintListPage | ( | QWidget * | parent,
|  | UMLClassifier * | classifier,
|  | UMLDoc * | doc,
|  | UMLObject::ObjectType | type
| ) |  |

Sets up the ConstraintListPage

Parameters

  parent | The parent to the ConstraintListPage.
  classifier | The Concept to display the properties of.
  doc | The UMLDoc document
  type | The object type

## ◆ ~ConstraintListPage()

ConstraintListPage::~ConstraintListPage | ( |  | ) |
| virtual

Standard destructor.

## Member Function Documentation

## ◆ getItemList

UMLClassifierListItemList ConstraintListPage::getItemList | ( |  | ) |
| private virtual slot

Get constraint list items for all types (unique, foreign-key and check-constraints)

## ◆ greaterThan()

bool ConstraintListPage::greaterThan | ( | UMLObject::ObjectType | ct1,
|  | UMLObject::ObjectType | ct2
| ) |  |
| protected

Will return true if ct1 has a higher (top) place in the list than ct2

Parameters

  ct1 | Constraint Type 1
  ct2 | Constraint Type 2

Returns
  true if ct1 is to be shown above ct2 else false

## ◆ setupActions()

void ConstraintListPage::setupActions | ( |  | ) |
| private

## ◆ slotNewCheckConstraint

void ConstraintListPage::slotNewCheckConstraint | ( |  | ) |
| private slot

## ◆ slotNewForeignKeyConstraint

void ConstraintListPage::slotNewForeignKeyConstraint | ( |  | ) |
| private slot

## ◆ slotNewPrimaryKeyConstraint

void ConstraintListPage::slotNewPrimaryKeyConstraint | ( |  | ) |
| private slot

## ◆ slotNewUniqueConstraint

void ConstraintListPage::slotNewUniqueConstraint | ( |  | ) |
| private slot

## Member Data Documentation

## ◆ buttonMenu

KMenu* ConstraintListPage::buttonMenu
| protected

## ◆ newCheckConstraintAction

KAction* ConstraintListPage::newCheckConstraintAction
| private

## ◆ newForeignKeyConstraintAction

KAction* ConstraintListPage::newForeignKeyConstraintAction
| private

## ◆ newPrimaryKeyConstraintAction

KAction* ConstraintListPage::newPrimaryKeyConstraintAction
| private

## ◆ newUniqueConstraintAction

KAction* ConstraintListPage::newUniqueConstraintAction
| private

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/constraintlistpage.h
- umbrello/dialogs/pages/constraintlistpage.cpp